# hwloc_topology_cpubind_support Struct Reference
[Configure Topology Detection]

Flags describing actual binding support for this topology. More...

`#include <hwloc.h>`

## Data Fields

unsigned char | set_thisproc_cpubind
unsigned char | get_thisproc_cpubind
unsigned char | set_proc_cpubind
unsigned char | get_proc_cpubind
unsigned char | set_thisthread_cpubind
unsigned char | get_thisthread_cpubind
unsigned char | set_thread_cpubind
unsigned char | get_thread_cpubind

## Detailed Description

Flags describing actual binding support for this topology.

## Field Documentation

unsigned char hwloc_topology_cpubind_support::get_proc_cpubind

Getting the binding of a whole given process is supported.

unsigned char hwloc_topology_cpubind_support::get_thisproc_cpubind

Getting the binding of the whole current process is supported.

unsigned char hwloc_topology_cpubind_support::get_thisthread_cpubind

Getting the binding of the current thread only is supported.

unsigned char hwloc_topology_cpubind_support::get_thread_cpubind

Getting the binding of a given thread only is supported.

unsigned char hwloc_topology_cpubind_support::set_proc_cpubind

Binding a whole given process is supported.

unsigned char hwloc_topology_cpubind_support::set_thisproc_cpubind

Binding the whole current process is supported.

unsigned char hwloc_topology_cpubind_support::set_thisthread_cpubind

Binding the current thread only is supported.

unsigned char hwloc_topology_cpubind_support::set_thread_cpubind

Binding a given thread only is supported.

The documentation for this struct was generated from the following file:

- hwloc.h